#ifndef __render_h__
#define __render_h__

#include "world.h"

struct render_s;

typedef struct render_s render_t;

render_t * render_alloc(void);
void       render_free(render_t * render);

void       render_init(render_t * render, world_t * world);
void       render_kill(render_t * render);

void       render_update(render_t * render);

#endif /* __render_h__ */
