#ifndef __dynamic_h__
#define __dynamic_h__

#include "world.h"

struct dynamic_s;

typedef struct dynamic_s dynamic_t;

dynamic_t * dynamic_alloc(void);
void        dynamic_free(dynamic_t * dynamic);

void        dynamic_init(dynamic_t * dynamic, world_t * world);
void        dynamic_kill(dynamic_t * dynamic);

void        dynamic_update(dynamic_t * dynamic, double dt);
void        dynamic_remove(dynamic_t * dynamic, double x, double y);

#endif /* __dynamic_h__ */
